#pragma once

#include <objmodel.h>

class CSensorInfoWnd : public Gtk::ScrolledWindow, public ISensorInfoWnd
{
public:
  CSensorInfoWnd(ISysMonWnd* pParent, bool_t bVisible);
  virtual ~CSensorInfoWnd();
  // ISensorInfoWnd interface
  void deviceChanged();
  void numDeviceChanged();
  control_handle_t getNativeControl() { return *this; }
  ISysMonWnd* getParent() const { return m_pParent; }
  void update();

protected:
  ISysMonWnd* m_pParent;
  Gtk::ListViewText m_listCtl;
  unsigned int m_numDevice;
};
