quit -sim

# Execute script to generate 'today package'
exec xtclsh ../gen_today_pkg.tcl today_pkg_admxrc6t1_sim.vhd >today_pkg_admxrc6t1_sim.vhd

# Delete existing libraries
file delete -force -- work
vlib work

# Compile source code
vcom -93 "../../../common/adb3_ocp/adb3_ocp_pkg.vhd"

vcom -93 "../../../common/adb3_target/adb3_target_types_pkg.vhd"
vcom -93 "../../../common/adb3_target/admxrc6t1/adb3_target_inc_sim_mptl_6t1_pkg.vhd"
vcom -93 "../../../common/adb3_target/adb3_target_pkg.vhd"

vcom -93 "../../../common/adb3_probe/adb3_probe_pkg.vhd"
vcom -93 "../../../common/adb3_probe/adb3_ocp_transaction_probe_sim.vhd"

vcom -93 "../../../common/dpmem/dpmem_pkg.vhd"
vcom -93 "../../../common/dpmem/distmem0.vhd"
vcom -93 "../../../common/dpmem/distmem.vhd"
vcom -93 "../../../common/dpmem/dpbram0.vhd"
vcom -93 "../../../common/dpmem/dpbram.vhd"
vcom -93 "../../../common/fifo/fifo_pkg.vhd"
vcom -93 "../../../common/fifo/afifo.vhd"
vcom -93 "../../../common/fifo/sfifo.vhd"

# ADB3 OCP library
vcom -93 "../../../common/adb3_ocp/adb3_ocp_comp_pkg.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_cross_clk_dom.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_retime_nb.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_simple_bus_if.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_split_b.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_split_nb.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_mux_nb.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_ocp2ddr3_nb.vhd"

# MIG Code
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ui/ui_cmd.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ui/ui_rd_data.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ui/ui_wr_data.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ui/ui_top.vhd"

vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ecc/ecc_merge_enc.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ecc/ecc_dec_fix.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ecc/ecc_buf.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ecc/ecc_gen.vhd"

vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/circ_buffer.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_ck_iob.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_clock_io.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_control_io.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_data_io.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_dly_ctrl.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_dm_iob.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_dq_iob.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_dqs_iob.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_init.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_pd.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_pd_top.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_rdclk_gen.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_rdctrl_sync.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_rddata_sync.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_rdlvl.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_read.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_write.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_wrlvl.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/rd_bitslip.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/phy/phy_top.vhd"

vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/arb_mux.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/arb_row_col.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/arb_select.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/bank_cntrl.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/bank_common.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/bank_compare.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/bank_mach.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/bank_queue.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/bank_state.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/col_mach.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/rank_cntrl.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/rank_common.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/rank_mach.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/round_robin_arb.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/controller/mc.vhd"

vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ip_top/mem_intfc.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ip_top/infrastructure.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ip_top/c0_memc_ui_top.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ip_top/c1_memc_ui_top.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ip_top/c2_memc_ui_top.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/mig_v3_6/rtl/ip_top/c3_memc_ui_top.vhd"

# Memory Interface
vcom -93 "../../../common/mem_if/mem_if_pkg.vhd"
vcom -93 "../../../common/mem_if/ddr3_sdram/ddr3_if_bank_v3_6.vhd"

# Memory Applications
vcom -93 "../../../common/mem_apps/blk_mem_test.vhd"

# MPTL interface
vcom -93 "../../../common/mptl/admxrc6t1/mptl128_interface_target_6t1_slv.vhd"
vcom -93 "../../../common/mptl/admxrc6t1/mptl128_interface_target_6t1_sim.vhd"
vcom -93 "../../../common/mptl/admxrc6t1/mptl128_interface_target_6t1_top.vhd"
vcom -93 "../../../common/mptl/mptl_if_target_wrap.vhd"

# Chipscope simulation block (optional)
vcom -93 "../../../common/chipscope/blk_chipscope_sim.vhd"

# Uber design
vcom -93 "../admxrc6t1/today_pkg_admxrc6t1_sim.vhd"
vcom -93 "../common/uber_pkg.vhd"
vcom -93 "../common/blk_clocks.vhd"
vcom -93 "../common/blk_ds_simple_test.vhd"
vcom -93 "../common/blk_clock_freq.vhd"
vcom -93 "../common/blk_ds_clk_read.vhd"
vcom -93 "../common/blk_ds_io_test.vhd"
vcom -93 "../common/blk_ds_int_test.vhd"
vcom -93 "../common/blk_ds_mem_reg.vhd"
vcom -93 "../common/blk_ds_info.vhd"
vcom -93 "../common/blk_direct_slave.vhd"
vcom -93 "../common/bram_single_wrap.vhd"
vcom -93 "../common/blk_bram.vhd"
vcom -93 "../common/blk_dma_switch.vhd"
vcom -93 "../common/blk_mem_app.vhd"
vcom -93 "../common/blk_mem_if.vhd"
vcom -93 "../common/uber.vhd"

# AD DDR3 Memory Model
vcom -93 "../../../common/mem_tb/ddr3_sdram/ddr3_sdram_pkg.vhd"
vcom -93 "../../../common/mem_tb/ddr3_sdram/ddr3_sdram_int_pkg.vhd"
vcom -93 "../../../common/mem_tb/ddr3_sdram/ddr3_sdram_dly_cnt.vhd"
vcom -93 "../../../common/mem_tb/ddr3_sdram/ddr3_sdram_timing_chk.vhd"
vcom -93 "../../../common/mem_tb/ddr3_sdram/ddr3_sdram_main_fsm.vhd"
vcom -93 "../../../common/mem_tb/ddr3_sdram/ddr3_sdram_init_fsm.vhd"
vcom -93 "../../../common/mem_tb/ddr3_sdram/ddr3_sdram.vhd"

# Testbench packages
vcom -93 "../../../common/adb3_target/adb3_target_tb_pkg.vhd"
vcom -93 "../common/uber_tb_pkg.vhd"

# MPTL interface
vcom -93 "../../../common/mptl/admxrc6t1/mptl128_interface_bridge_6t1_slv.vhd"
vcom -93 "../../../common/mptl/admxrc6t1/mptl128_interface_bridge_6t1_sim.vhd"
vcom -93 "../../../common/mptl/admxrc6t1/mptl128_interface_bridge_6t1_top.vhd"
vcom -93 "../../../common/mptl/mptl_if_bridge_wrap.vhd"

# Testbench
vcom -93 "../common/test_uber_ds.vhd"
vcom -93 "../common/test_uber_dm.vhd"
vcom -93 "../common/test_uber_dma_1ch_nb.vhd"
vcom -93 "../common/test_uber_probes.vhd"
vcom -93 "../common/test_uber.vhd"

# Define level of on-board RAM model message reporting
set var_message_level 0

vsim -t fs -L unisim -Gmessage_level=${var_message_level} test_uber

set var_board [examine /adb3_target_inc_pkg/BOARD_TYPE]
set var_ddr3  [examine /adb3_target_inc_pkg/DDR3_BANKS]
set var_use   [examine /adb3_target_inc_pkg/TARGET_USE]

set wave_pat {

/test_uber/*
/test_uber/uut/*

/test_uber/uut/blk_direct_slave_i/*
/test_uber/uut/blk_direct_slave_i/blk_ds_io_test_i/*

/test_uber/uut/blk_dma_switch_i/*
/test_uber/uut/blk_dma_switch_i/dma_split_g__0/adb3_ocp_split_nb_dma_i/*
/test_uber/uut/blk_dma_switch_i/mux_ram_g__1/adb3_ocp_mux_nb_ram_i/*

/test_uber/uut/blk_bram_i/*

/test_uber/uut/mem_valid_g/blk_mem_if_i/*
/test_uber/uut/mem_valid_g/blk_mem_if_i/ddr3_if_g__1/ddr3_if_bank_i/*
/test_uber/uut/mem_valid_g/blk_mem_if_i/ddr3_if_g__1/ddr3_if_bank_i/bank1_g/adb3_ocp_ocp2ddr3_nb_i/*
}

set wave_rad {
hexadecimal {data q}
}

#noview *
view signals
view structure
view wave -title "Uber(${var_board} with ${var_ddr3} banks ddr3 sdram, ${var_use})"

foreach pattern $wave_pat {
add wave -group $pattern $pattern
}
configure wave -signalnamewidth 1

foreach {radix signals} $wave_rad {
foreach signal $signals {
catch {property wave -radix $radix $signal}
}
}

radix hex
# Disabled for Coregen MIG DDR3 SDRAM interface
set NumericStdNoWarnings 1
set StdArithNoWarnings 1

run 164us
